/* eslint-disable @typescript-eslint/no-empty-function */
import React from 'react'
import SearchAll from './components/SearchAll'

export enum IFilterType {
  All = '1',
  JYTB = '2',
  ZYBBG = '3',
  HDHF = '4',
  WLY = '5'
}

interface ISearchIndexProps {
  keyword: string
}
/**
 * 搜索页
 */
const SearchIndex: React.FC<ISearchIndexProps> = props => {
  const { keyword } = props

  return (
    <div className="page-max-width">
      <SearchAll keyword={keyword} />
    </div>
  )
}

export default SearchIndex
